Bug 767534

Summary: Alt key no longer works when using readline/emacs shortcuts
Product: [Fedora] Fedora Reporter: Omar Qureshi <omar>
Component: gnome-terminalAssignee: Matthias Clasen <mclasen>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 16CC: behdad
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 13:14:05 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Omar Qureshi 2011-12-14 05:20:11 EST
Description of problem:
When trying to use the alt key as part of the emacs/readline keyboard shortcuts, with the "Enable menu shortcut keys" option disabled - the modifier is no longer respected. i.e. Alt-f no longer moves forward a word, but instead sends an 'f' to the terminal

Version-Release number of selected component (if applicable):
3.2.1-2

How reproducible:
Every time

Steps to Reproduce:
1. Set the "Enable menu shortcut keys" option to disabled in Edit > Keyboard Shortcuts...
2. Type some text into the terminal with a space in between, i.e. "some text"
3. Press Alt-b
  
Actual results:
sends b to the terminal

Expected results:
should move the cursor to highlight the t in "text"

Additional info:
Was working before a yum update this morning - also noticed this http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=649191 on the debian forum for what looks to be the same bug with gnome terminal
Comment 1 Omar Qureshi 2011-12-15 09:16:42 EST
Following a further discussion at http://ask.fedoraproject.org/question/549/what-could-cause-the-alt-key-to-stop-working-in

I managed to fix gnome-terminal by installing vte3 from updates-testing

yum --enablerepo=updates-testing install vte3

Should this be a dependancy?
Comment 2 Fedora Admin XMLRPC Client 2012-01-10 10:48:30 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2012-01-10 10:48:31 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2013-01-16 10:27:00 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 13:14:08 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.